# Class DateFormatSymbolsProvider

java.lang.Object
java.util.spi.LocaleServiceProvider
java.text.spi.DateFormatSymbolsProvider

public abstract class DateFormatSymbolsProvider extends LocaleServiceProvider
An abstract class for service providers that provide instances of the `DateFormatSymbols` class.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DateFormatSymbolsProvider()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract DateFormatSymbols`
  `getInstance(Locale locale)`
  Returns a new `DateFormatSymbols` instance for the specified locale.

  ### Methods declared in class LocaleServiceProvider

  `getAvailableLocales, isSupportedLocale`
  Modifier and Type
  Method
  Description
  `abstract Locale[]`
  `getAvailableLocales()`
  Returns an array of all locales for which this locale service provider can provide localized objects or names.
  `boolean`
  `isSupportedLocale(Locale locale)`
  Returns `true` if the given `locale` is supported by this locale service provider.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### DateFormatSymbolsProvider

    protected DateFormatSymbolsProvider()
    Sole constructor. (For invocation by subclass constructors, typically implicit.)

- ## Method Details

  - ### getInstance

    public abstract DateFormatSymbols getInstance(Locale locale)
    Returns a new `DateFormatSymbols` instance for the specified locale.
    Parameters:
      `locale` - the desired locale
    Returns:
      a `DateFormatSymbols` instance.
    Throws:
      `NullPointerException` - if `locale` is null
      `IllegalArgumentException` - if `locale` isn't one of the locales returned from `getAvailableLocales()`.
    See Also:
      - `DateFormatSymbols.getInstance(java.util.Locale)`